using System;
using System.Collections.Generic;
using System.Text;
using System.Timers;

namespace ApplyStrategy
{
    class TimerInfo // This class contains information about timer started by "setTimer" command [ timerid = host:execute("setTimer", cookie, timeout) ]
    {               // The class is used only by some strategies using "setTimer" and "killTimer"
        Timer timer;
        public Timer TimerItself
        {
            get { return timer; }
        }
        int iTimerID;   // this ID is used when "killTimer" command is sent later [host:execute("killTimer", timerid)]
        public int TimerID
        {
            get { return iTimerID; }
        }
        int iCookie;    // this cookie is used when "timer elapsed" event happens; it is used on "notifyFinished(int cookie, bool success, string info, out string error)", and will be recieved in function AsyncOperationFinished(cookie, success, message)
        public int Cookie
        {
            get { return iCookie; }
        }
        public TimerInfo(Timer timer, int iTimerID, int iCookie)
        {
            this.timer = timer;
            this.iTimerID = iTimerID;
            this.iCookie = iCookie;
        }
    }
}
