using System;
using System.Collections.Generic;
using System.Text;

namespace ApplyStrategy
{
    class OrderInfo
    {
        // this class holds information for order created by strategy
        private string sOrderRequest = string.Empty;
        private int iCookie = 0;
        private DateTime dtRequestTime;

        public OrderInfo(string sOrderRequest, int iCookie)
        {
            this.sOrderRequest = sOrderRequest;
            this.iCookie = iCookie;
            this.dtRequestTime = DateTime.Now; // keep the time of request, so later we can discard OrderInfo older than 1 min from the "Orders" dictionary
        }
        public string OrderRequest
        {
            get { return sOrderRequest; }
        }
        public int OrderCookie
        {
            get { return iCookie; }
        }
        public DateTime OrderDateTime
        {
            get { return dtRequestTime; }
        }
    }
}
